(* Copyright (c) by DATATEC Computer u. Elektronik GmbH

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA *)

(******************************************************************
**
** MyBackUpDll Library-Interface version 1.0
**
** Author Ch. Friedrich 20.5.2001
**
** Dependencies: libmyback.so
**
*******************************************************************)
unit MyBackUpDll;


interface

const
  BackDLL = '/usr/lib/libmyback.so';


function MyConnect(host, DB, user, passwd: PChar): integer;cdecl ; external BackDLL;
procedure MyDisConnect; cdecl ; external BackDLL;
function SendPing: integer;cdecl ; external BackDLL;
function GetDumpVersion: PChar;cdecl ; external BackDLL;

function DoBackUp(DB,Table, SqlFileName: PChar; MultiFiles:integer): integer;cdecl ; external BackDLL;
function GetTableStruct(DB,Table, SqlFileName: PChar; MultiFiles:integer): integer;cdecl ; external BackDLL;
function ExecQuery(SqlStr: PChar): integer;cdecl ; external BackDLL;

function FindFirstDb: PChar;cdecl ; external BackDLL;
function FindNextDb: PChar;cdecl ; external BackDLL;
function FindFirstTb(DB: PChar): PChar;cdecl ; external BackDLL;
function FindNextTb: PChar;cdecl ; external BackDLL;
function GetRecord: integer;cdecl ; external BackDLL;
function LastMyError: PChar;cdecl ; external BackDLL;
function LastMyErrorNo: integer;cdecl ; external BackDLL;
function SelectMyDB(database: PChar): integer;cdecl ; external BackDLL;

procedure SetLockOption(Value: integer);cdecl ; external BackDLL;
procedure Set_C_FlagOption(Value: integer);cdecl ; external BackDLL;
procedure Set_T_FlagOption(Value: integer);cdecl ; external BackDLL;
procedure SetDropOption(Value: integer);cdecl ; external BackDLL;
procedure SetWhereOption(SqlStr: PChar;Value: integer);cdecl ; external BackDLL;
procedure SetExInsOption(Value: integer);cdecl ; external BackDLL;

implementation

end.
